GET /sessions/{session_id}/export
Export the complete session history.
The complete, ordered history of the session (agent output, tool calls, thinking, lifecycle events, sandbox output, message events) as an ordered manifest of presigned segment URLs. Segments are gzip members: download in order and concatenate for one file. The JSON API never carries the bytes (same two-step as files). /records is the paged live view of the same data.
curl "https://api.ellipsis.dev/v1/sessions/{session_id}/export" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"archived_through_feed_seq": 0,
"earliest_feed_seq": 0,
"format": "ellipsis_session_log@1",
"has_more": false,
"latest_feed_seq": 0,
"segments": [
{
"bytes": 0,
"download_url": "string",
"end_feed_seq": 0,
"expires_in": 0,
"record_count": 0,
"start_feed_seq": 0
}
],
"session_id": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.sessions.export("...")
print(result){
"archived_through_feed_seq": 0,
"earliest_feed_seq": 0,
"format": "ellipsis_session_log@1",
"has_more": false,
"latest_feed_seq": 0,
"segments": [
{
"bytes": 0,
"download_url": "string",
"end_feed_seq": 0,
"expires_in": 0,
"record_count": 0,
"start_feed_seq": 0
}
],
"session_id": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.sessions.export('...');
console.log(result);{
"archived_through_feed_seq": 0,
"earliest_feed_seq": 0,
"format": "ellipsis_session_log@1",
"has_more": false,
"latest_feed_seq": 0,
"segments": [
{
"bytes": 0,
"download_url": "string",
"end_feed_seq": 0,
"expires_in": 0,
"record_count": 0,
"start_feed_seq": 0
}
],
"session_id": "string"
}No request body.
{
"properties": {
"archived_through_feed_seq": {
"type": "integer"
},
"earliest_feed_seq": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"format": {
"default": "ellipsis_session_log@1",
"type": "string"
},
"has_more": {
"type": "boolean"
},
"latest_feed_seq": {
"type": "integer"
},
"segments": {
"items": {
"properties": {
"bytes": {
"type": "integer"
},
"download_url": {
"type": "string"
},
"end_feed_seq": {
"type": "integer"
},
"expires_in": {
"type": "integer"
},
"record_count": {
"type": "integer"
},
"start_feed_seq": {
"type": "integer"
}
},
"required": [
"start_feed_seq",
"end_feed_seq",
"record_count",
"bytes",
"download_url",
"expires_in"
],
"type": "object"
},
"type": "array"
},
"session_id": {
"type": "string"
}
},
"required": [
"session_id",
"earliest_feed_seq",
"archived_through_feed_seq",
"latest_feed_seq",
"has_more",
"segments"
],
"type": "object"
}Request
session_idstringrequired